Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.feeds.folders.controls
Interface FeedFoldersControl

All Superinterfaces
  CM_Control<com.bea.apps.groupspace.feeds.folders.FeedFolder>, ContentControlBase<com.bea.apps.groupspace.feeds.folders.FeedFolder,com.bea.apps.groupspace.folders.Folder>, GroupSpaceContentControl<com.bea.apps.groupspace.feeds.folders.FeedFolder>, Serializable

    public interface FeedFoldersControl

extends CM_Control<com.bea.apps.groupspace.feeds.folders.FeedFolder>

Create a GroupSpace Feed Folder

Nested Class Summary
`static interface` | `FeedFoldersControl.Properties`

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`com.bea.apps.groupspace.feeds.folders.FeedFolder` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String author, String link, String url, Calendar publicationDate, String language, String imageUrl, long retentionPeriod)`
`com.bea.apps.groupspace.feeds.folders.FeedFolder` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String author, String link, String url, Calendar publicationDate, String language, String imageUrl, long retentionPeriod, com.bea.apps.groupspace.folders.Folder parentFolder)`
`com.bea.apps.groupspace.feeds.folders.FeedFolder` | `create(String title, String description, String url)`
`com.bea.apps.groupspace.feeds.folders.FeedFolder` | `findByUrl(String url)`
`com.bea.apps.groupspace.feeds.folders.FeedFolder` | `findByUrl(String url, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)`
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.apps.groupspace.feeds.folders.FeedFolder>` | `getAllFeeds(com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)`
`com.bea.apps.groupspace.folders.Folder` | `getDefaultFolder(com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)`
`com.bea.apps.groupspace.content.CommunityContent.Visibility` | `getDefaultVisibility()`
`com.bea.apps.groupspace.feeds.folders.FeedFolder` | `removeByUrl(String url)`
`com.bea.apps.groupspace.feeds.folders.FeedFolder` | `removeByUrl(String url, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)`
`void` | `setDefaultVisibility(com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    com.bea.apps.groupspace.feeds.folders.FeedFolder create(String title,
                                                            String description,
                                                            String url)
                                                            throws Exception

  Throws
    `Exception`

### create

    com.bea.apps.groupspace.feeds.folders.FeedFolder create(String title,
                                                            String description,
                                                            com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                            String author,
                                                            String link,
                                                            String url,
                                                            Calendar publicationDate,
                                                            String language,
                                                            String imageUrl,
                                                            long retentionPeriod)
                                                            throws Exception

  Throws
    `Exception`

### create

    com.bea.apps.groupspace.feeds.folders.FeedFolder create(String title,
                                                            String description,
                                                            com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                            String author,
                                                            String link,
                                                            String url,
                                                            Calendar publicationDate,
                                                            String language,
                                                            String imageUrl,
                                                            long retentionPeriod,
                                                            com.bea.apps.groupspace.folders.Folder parentFolder)
                                                            throws Exception

  Parameters
    `title` -
    `description` -
    `visibility` -
    `parentFolder` - This is only relevant for Community and Private visibilities
  Returns
    new Folder
  Throws
    `Exception`

### findByUrl

    com.bea.apps.groupspace.feeds.folders.FeedFolder findByUrl(String url)

### findByUrl

    com.bea.apps.groupspace.feeds.folders.FeedFolder findByUrl(String url,
                                                               com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)

### removeByUrl

    com.bea.apps.groupspace.feeds.folders.FeedFolder removeByUrl(String url)

### removeByUrl

    com.bea.apps.groupspace.feeds.folders.FeedFolder removeByUrl(String url,
                                                                 com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)

### getAllFeeds

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.apps.groupspace.feeds.folders.FeedFolder> getAllFeeds(com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)
                                                                                                                        throws Exception

  Throws
    `Exception`

### getDefaultFolder

    com.bea.apps.groupspace.folders.Folder getDefaultFolder(com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)
                                                            throws Exception

  Throws
    `Exception`

### getDefaultVisibility

    com.bea.apps.groupspace.content.CommunityContent.Visibility getDefaultVisibility()

### setDefaultVisibility

    void setDefaultVisibility(com.bea.apps.groupspace.content.CommunityContent.Visibility visibility)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved